package ar.edu.unju.fi.controller;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import ar.edu.unju.fi.model.Post;

@Controller
@RequestMapping("/demoSpring")
public class IndexController {
	
	public List<Post> getPosts(){
		List<Post> listaPosts = new ArrayList<>();
		listaPosts.add(new Post(1,"Descripción de un bootcamp para el desarrollo de BD Relacionales","http://localhost/img.post.img",LocalDate.now(),"Curso BD Relacionales"));
		listaPosts.add(new Post(2,"Descripción de un bootcamp para el desarrollo de Aplicaciones web con Spring Boot","http://localhost/img.post.img",LocalDate.now(),"Curso Spring Boot"));
		listaPosts.add(new Post(3,"Descripción de un bootcamp para el desarrollo de Videojuegos con Unity","http://localhost/img.post.img",LocalDate.now(),"Curso Unity 3D"));
		return listaPosts;
	}
	
    @GetMapping("/inicio")
	public String visualizarPaginaIndex() {
		return "index";
	}

}
